/*
Lexmark 1100 printer driver for Linux
Copyright (C) 1999   Tim Engler

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef _PAINT_LINE_300C_H
#define _PAINT_LINE_300C_H

#include "PaintLine.h"
// stores all the information to paint a single brush stroke of the printer head(used by LexmarkProtocol)

class LexmarkProtocol300c;

class PaintLine300c
{
 private:
	char **data;
	int size;
	int x,y;

	friend class LexmarkProtocol300c;

 public:
	void pad(int pad_amount);
	void paint(int sx,int x, int nozzle, int color);
	PaintLine300c(int x, int y,int size);
	~PaintLine300c();
};

#endif
