/*
Lexmark 1100 printer driver for Linux
Copyright (C) 1999   Tim Engler

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include "Coord.h"

Coord::Coord(int x, int y)
{
	this->x = x;
	this->y = y;
}

Coord *Coord::min( Coord *setTo, Coord *other)
{
	if(this->x < other->x)
	{
		setTo->x = this->x;
	}
	else setTo->x = other->x;

	if(this->y < other->y)
	{
		setTo->y = this->y;
	}
	else setTo->y = other->y;

	return setTo;
}

Coord *Coord::max(Coord *setTo, Coord *other)
{
	if(this->x > other->x)
	{
		setTo->x = this->x;
	}
	else setTo->x = other->x;

	if(this->y > other->y)
	{
		setTo->y = this->y;
	}
	else setTo->y = other->y;

	return setTo;
}


void Coord::set(int x, int y)
{
	this->x = x;
	this->y = y;
}
